Skip to main content
GET
https://edb-with-gifs-and-images-by-ascendapi.p.rapidapi.com
/
api
/
v1
/
exercises
Advanced exercise filtering
curl --request GET \
  --url https://edb-with-gifs-and-images-by-ascendapi.p.rapidapi.com/api/v1/exercises \
  --header 'X-RapidAPI-Key: <api-key>'
{
  "success": true,
  "meta": {
    "total": 2289,
    "hasNextPage": true,
    "hasPreviousPage": false,
    "nextCursor": "<string>",
    "previousCursor": "<string>"
  },
  "data": [
    {
      "exerciseId": "edb_T5uXtLj",
      "name": "Bench Press",
      "equipments": [
        "Barbell"
      ],
      "bodyParts": [
        "Chest"
      ],
      "exerciseTypes": [
        "strength"
      ],
      "difficulty": "intermediate",
      "targetMuscles": [
        "pectorals"
      ],
      "secondaryMuscles": [
        "triceps",
        "shoulders"
      ],
      "imageUrl": ""
    }
  ]
}

Authorizations

X-RapidAPI-Key
string
header
required

Enter your RapidAPI key in the X-RapidAPI-Key header.

Query Parameters

name
string

Filter exercises by name. Supports fuzzy matching.

Example:

"Bench Press"

targetMuscles
string

Filter exercises by primary target muscles. Use comma-separated values for multiple muscles.

Example:

"pectorals,shoulders"

secondaryMuscles
string

Filter exercises by secondary muscles. Use comma-separated values for multiple muscles.

Example:

"abs,trapezius"

exerciseTypes
string

Filter exercises by exercises by type (e.g., strength, cardio). Use comma-separated values for multiple exerciseTypes.

Example:

"strength"

difficulty
string

Filter by difficulty of exercise (e.g., intermediate).

Example:

"intermediate"

bodyParts
string

Filter exercises by body parts. Use comma-separated values for multiple body parts.

Example:

"Chest,Shoulders"

equipments
string

Filter exercises by required equipment. Use comma-separated values for multiple equipment types.

Example:

"Barbell,Dumbbell"

limit
string

Maximum number of results to return (min: 1, max: 25, default: 10)

Example:

"10"

after
string

Exercise ID to paginate after (for forward pagination)

before
string

Exercise ID to paginate before (for backward pagination)

Response

Retrieve exercises by search filters

success
boolean
required

Indicates whether the request was successful

Example:

true

meta
Cursor Pagination Metadata · object
required

Metadata about cursor-based pagination

data
Filtered Exercise Results · object[]
required

Array of exercises matching the filter criteria

Last modified on March 23, 2026